64x64.png?1.3
Ruby

Version
1.3.4-105
Revision
2b79a1b
Build
2017-10-05 17:13:12
Author
Plesk
Homepage
http://plesk.com
Documentation
https://docs.plesk.com/en-US/onyx/administrator-guide/website-management/ruby-support-linux.76489/
Platform
Linux
Plesk Version
17.0.17 and up
Category
Web Development
Average Rating
(4.5)
Votes
11

Description

Ruby is a popular programming language among web developers. Plesk Onyx introduces proper Ruby language support as a Plesk extension. The Ruby extension available in Plesk Onyx allows users to quickly and easily deploy Ruby apps on their domains. Both Ruby on Rails and Sinatra frameworks are supported. With this extension you can: - Enable Ruby support on any given virtual host - Choose which Ruby version should be used on a domain. Both UI and CLI calls use rbenv utility to achieve maximum conformity - Install gem file dependencies via UI using Bundler tool - Specify custom environment variables - Edit configuration files It is strongly suggested to install **the tools required for building Ruby gems** component in order to facilitate quick and painless Ruby gem installation. With this component you can sit back, forget about gem dependency hell and enjoy painless gem file installation since most dependencies will be resolved for you automatically by our tools. [Learn More](https://docs.plesk.com/en-US/onyx/administrator-guide/website-management/ruby-support-linux.76489/)

Changes

# 1.3.4 (05 October 2017) * [*] Ruby 2.4 was updated to 2.4.2. * [*] Ruby 2.3 was updated to 2.3.5. * [*] Ruby 2.2 was updated to 2.2.8. # 1.3.3 (28 September 2017) * [*] The extension is now available for Debian 9. * [*] The extension's description on the catalog was revised and updated. # 1.3.2 (14 March 2017) * [*] Minor improvements. # 1.3.1 (21 February 2017) * [+] Ruby 2.4 is now supported. * [*] Ruby 2.3 was updated to the version 2.3.3. * [*] Ruby 2.2 was updated to the version 2.2.6.

Screenshots

Reviews